import { Modal, ModalService } from '@zeedhi/common';

export class ModalHierarquiaController {
  private NewHierarchyModal!: Modal;

  private NewUserHierarchyModal!: Modal;

  /* ---------- Abrir ------------*/
  public async openNewHierarchyModal() {
    this.NewHierarchyModal = await ModalService.createFromJson('/modal/modalNovaHierarquia', true);
    this.NewHierarchyModal.show();
  }

  public async openNewUserHierarchyModal() {
    this.NewUserHierarchyModal = await ModalService.createFromJson('/modal/modalNovoUsuarioHierarquia', true);
    this.NewUserHierarchyModal.show();
  }

  /* ---------- Fechar ------------*/
  public async closeNewHierarchyModal() {
    await this.NewHierarchyModal.hide();
    this.NewHierarchyModal!.destroy();
  }

  public async closeNewUserHierarchyModal() {
    await this.NewUserHierarchyModal.hide();
    this.NewUserHierarchyModal!.destroy();
  }
}
