<?php
namespace FM\Controller;

use FM\Controller\FMCrud;
use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DTO\Request;
use Zeedhi\Framework\DTO\Response;
use Zeedhi\Framework\DataSource\DataSet;
use FM\Service\TarefaService;


class TarefaController extends FMCrud {
    protected $dataSourceName = 'fcm_checklistagend';
    protected $TarefaService;
    
    public function __construct($crudService, $environment, TarefaService $TarefaService) {
        parent::__construct($crudService, $environment);
        $this->TarefaService = $TarefaService;
    }
    
    public function getAllTarefas(DTO\Request $request, DTO\Response $response) {
        $tarefas = $this->TarefaService->getAllTasks();
        $dtsVal = new DataSet('tasks', $tarefas);
        $response->addDataSet($dtsVal);
    }
}

?>